> ## Documentation Index
> Fetch the complete documentation index at: https://steamgold.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Проверка промкода

> Проверяет существование промокода



## OpenAPI

````yaml POST /promo/verify
openapi: 3.0.1
info:
  title: OpenAPI SteamGold
  description: Is used for steamgold API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.steamgold.dev/v1
security:
  - bearerAuth: []
paths:
  /promo/verify:
    post:
      description: Проверяет существование промокода
      requestBody:
        description: Описание промокода
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PromoVerifyRequest'
        required: true
      responses:
        '200':
          description: promo response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PromoVerifyResponse'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    PromoVerifyRequest:
      required:
        - code
      type: object
      properties:
        code:
          description: Промокод для проверки
          type: string
    PromoVerifyResponse:
      required:
        - code
        - intentId
        - verified
      type: object
      properties:
        code:
          description: HTTP-код ответа
          type: integer
          format: int32
        type:
          description: Тип скидки у промокода
          type: string
          enum:
            - commission
        discount:
          description: Размер скидки у промокода
          type: number
    Error:
      required:
        - code
        - message
      type: object
      properties:
        code:
          description: HTTP-код ответа
          type: integer
          format: int32
        message:
          description: Сообщение об ошибке
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````